<?php
/**
 * @var InfosController $this
 * @var array|Veranstaltungsreihe[] $reihen
 */

$this->pageTitle = "Antragsgrün - die grüne Online-Antragsverwaltung";

include(__DIR__ . "/sidebar.php");

?>
<h1>Soziantrag - das Antragstool selbst einsetzen</h1>

<div class="content">
	<p>Soziantrag ist <strong>Open Source</strong>, jede und jeder kann die Software herunterladen, für die eigenen
		Zwecke anpassen und verwenden (siehe <a href="#opensource"
		                                        onclick="$('#opensource').next().scrollintoview(); return false;">weiter
			unten</a>).</p>

	<p>Soziantrag wird auf dem Soziserver betrieben. Mit Hilfe des Quellcodes (Download siehe unten) könnt ihr es auf eurem eigenen Webspace installieren. Für Kunden des Soziservers übernehmen wir gerne auch die Installation gegen ein geringes Entgelt</p>

</div>

<h2 id="funktionen">Welche Funktionen bietet Soziantrag?</h2>

<div class="content">
	<strong>Das kann Soziantrag:</strong>
	<ul style="margin-bottom: 25px;">
		<li style="margin-top: 7px;">Anträge, Änderungsanträge, Kommentare dazu, Unterstützen von (Änderungs-)Anträgen,
			Bewertung von Kommentaren. Alles außer die Anträge ist auch deaktivierbar.
		</li>
		<li style="margin-top: 7px;">Änderungsanträge und Kommentare beziehen sich grundsätzlich immer auf ganze
			Absätze.
		</li>
		<li style="margin-top: 7px;"><strong>Berechtigungen:</strong> Wer Anträge, Änderungsanträge und Kommentare
			verfassen darf, lässt sich jeweils festlegen. Niemand / nur Admins, Alle, oder nur Eingeloggte NutzerInnen.
		</li>
		<li style="margin-top: 7px;">Auf Wunsch: (Änderungs-)Anträge oder Kommentare erscheinen erst nach expliziter
			<strong>Freischaltung</strong> durch einen Admin.
		</li>
		<li style="margin-top: 7px;">Beliebige <strong>Textformatierungen</strong> in redaktionellen Texten (u.a. auch
			YouTube/Vimeo-Videos, Grafiken etc.). Bei Anträgen und Änderungsanträgen sind einige
			Standard-Textformatierungen möglich.
		</li>
		<li style="margin-top: 7px;">Automatisch erzeugte <strong>PDF-Versionen</strong> der Anträge und
			Änderungsanträge.
		</li>
		<li style="margin-top: 7px;">Es ist einstellbar, ob im Frontend von "Anträgen" und "Änderungsanträgen" die Rede
			ist (ausgelegt auf Parteitage), oder von "Kapiteln" und "Änderungswünschen" (ausgelegt auf die Diskussion
			von Wahlprogrammen).
		</li>
		<li style="margin-top: 7px;"><strong>E-Mail-Benachrichtigungen</strong> über neue Anträge, Änderungsanträge
			und/oder Kommentare für alle Interessierte
		</li>
		<li style="margin-top: 7px;"><strong>RSS-Feeds</strong>, damit alle Interessierte über neu eingereichte
			(Änderungs-)Anträge oder Kommentare auf dem Laufenden bleiben.
		</li>
	</ul>


	<strong>Das kann Soziantrag nicht</strong> (und ist auch nicht geplant):
	<ul style="margin-bottom: 15px;">
		<li style="margin-top: 7px;"><strong>Vor-Ort-Präsentationen</strong>. Auf Parteitagen selbst bietet sich der
			Einsatz von Tools an, die speziell dafür ausgelegt sind - wir empfehlen hier <a
				href="http://openslides.org/de/">OpenSlides</a>.
		</li>
		<li style="margin-top: 7px;"><strong>Wahlen / Abstimmungen</strong>.</li>
	</ul>


</div>

<h2 id="wer">Von wem stammt Soziantrag?</h2>

<div class="content">
    <p>Soziantrag wird vom <a href="https//www.soziserver.de">Soziserver</a> betrieben und weiterentwickelt</p>
	<p>Das Soziantrag zugrundeliegende Antragsgrün wird von <a href="https://www.hoessl.eu/">Tobias Hößl</a> (<a
			href="https://twitter.com/TobiasHoessl">@TobiasHoessl</a>) programmiert, das Original-Design stammt von <a
			href="http://www.netzminze.de/">Karin Wehle</a>.</p>
</div>


<h2 id="opensource">Open Source</h2>

<div class="content">
	<p>Soziantrag steht - nicht nur weil es die Original-Lizenz verlangt, sondern weil wir das auch gerne unterstützen - unter einer Open-Source-Lizenz zur Verfügung.</p>

	<p>Den kompletten Quellcode von Soziantrag findet ihr hier zum Download: <a href="https://spdnet.sozi.info/websozis/server/dl/soziantrag.zip">soziantrag.zip</a> (ein öffentliches Repository ist in Vorbereitung), der komplette Quellcode von Antragsgrün (der Software, auf der Soziantrag basiert) ist unter <a href="https://github.com/CatoTH/antragsgruen">https://github.com/CatoTH/antragsgruen</a>
		abrufbar.</p>

	<p>Soziantrag steht unter der "GNU Affero General Public License". Das heißt, jede und jeder Interessierte kann das
		Tool nicht nur kostenlos einsetzen, sondern bei Bedarf auch Änderungen vornehmen (was auch die Verwendung in
		anderen Parteien oder völlig anderen Organisationen umfasst). Bedingung dafür ist aber unter anderem, dass wir
		als UrheberInnen weiter genannt werden und Änderungen am Tool ebenfalls wieder frei verfügbar gemacht
		werden.</p>
</div>

